Bug 866354 - [abrt]: WARNING: at include/net/mac80211.h:3753 il4965_rs_rate_init+0x47c/0x4a0 [iwl4965]()
[abrt]: WARNING: at include/net/mac80211.h:3753 il4965_rs_rate_init+0x47c/0x4...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:4681bd2518ce001e735e040941c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 03:12 EDT by Karolina
Modified: 2012-10-23 10:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 10:04:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karolina 2012-10-15 03:12:33 EDT
Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.4-2.fc17.i686 root=/dev/mapper/vg_karolina-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=pl2 SYSFONT=True rd.luks=0 LANG=en_US.UTF-8 rd.lvm.lv=vg_karolina/lv_root rd.lvm.lv=vg_karolina/lv_swap rhgb quiet
kernel:         3.5.4-2.fc17.i686

backtrace:
:WARNING: at include/net/mac80211.h:3753 il4965_rs_rate_init+0x47c/0x4a0 [iwl4965]()
:Hardware name: Aspire 5920G    
:Modules linked in: fuse rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter nf_conntrack_ipv4 nf_defrag_ipv4 xt_state ip6_tables nf_conntrack mxl5005s zl10353 uvcvideo videobuf2_vmalloc videobuf2_memops dvb_usb_ce6230 videobuf2_core dvb_usb dvb_core videodev rc_core media btusb bluetooth snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm arc4 iwl4965 iwlegacy mac80211 snd_page_alloc cfg80211 snd_timer snd acer_wmi sparse_keymap rfkill tg3 lpc_ich soundcore r592 memstick i2c_i801 serio_raw coretemp kvm_intel kvm microcode binfmt_misc uinput sdhci_pci sdhci firewire_ohci mmc_core firewire_core crc_itu_t nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 46, comm: kworker/u:4 Not tainted 3.5.4-2.fc17.i686 #1
:Call Trace:
: [<c0438ff2>] warn_slowpath_common+0x72/0xa0
: [<f7f00bfc>] ? il4965_rs_rate_init+0x47c/0x4a0 [iwl4965]
: [<f7f00bfc>] ? il4965_rs_rate_init+0x47c/0x4a0 [iwl4965]
: [<c0439042>] warn_slowpath_null+0x22/0x30
: [<f7f00bfc>] il4965_rs_rate_init+0x47c/0x4a0 [iwl4965]
: [<f7eeeecc>] il4965_mac_sta_add+0x14c/0x1f0 [iwl4965]
: [<f7eeed80>] ? il4965_request_firmware+0x180/0x180 [iwl4965]
: [<fa88570f>] sta_info_move_state+0x34f/0x5c0 [mac80211]
: [<fa8c8595>] ieee80211_assoc_success+0x21e/0x5f5 [mac80211]
: [<c0430001>] ? rbt_memtype_check_insert+0x21/0x230
: [<fa8b759b>] ieee80211_rx_mgmt_assoc_resp+0x12b/0x240 [mac80211]
: [<fa8b7b5b>] ieee80211_sta_rx_queued_mgmt+0x3fb/0x5f0 [mac80211]
: [<c04667a2>] ? check_preempt_curr+0x72/0x90
: [<c04667e8>] ? ttwu_do_wakeup+0x28/0x110
: [<c084709e>] ? skb_dequeue+0x4e/0x70
: [<fa88ebc2>] ieee80211_iface_work+0x222/0x310 [mac80211]
: [<c04534f8>] process_one_work+0x108/0x370
: [<fa88e9a0>] ? ieee80211_check_queues+0x100/0x100 [mac80211]
: [<c0453a39>] worker_thread+0xf9/0x280
: [<c04635fe>] ? complete+0x4e/0x60
: [<c0453940>] ? rescuer_thread+0x1b0/0x1b0
: [<c04580a2>] kthread+0x72/0x80
: [<c0458030>] ? flush_kthread_worker+0x70/0x70
: [<c094b4fe>] kernel_thread_helper+0x6/0x10
Comment 1 Stanislaw Gruszka 2012-10-22 03:22:45 EDT
Is this problem reproducible for you, or happen at random?

If it is reproducible, could you test below kernel to see if it fix the problem?
http://koji.fedoraproject.org/koji/taskinfo?taskID=4602595
Comment 2 Karolina 2012-10-22 07:53:39 EDT
Problem happened at random, should I still try the fix?
Comment 3 Stanislaw Gruszka 2012-10-22 08:06:33 EDT
Did it happen more than one? If so, please try above kernel. If not, I'll need to close this bug report with insufficient data resolution, since calltrace from comment 0 does not give enough information to solve the problem.
Comment 4 Karolina 2012-10-23 09:52:21 EDT
I happened just once so far, in case it happens again I'll let you know.
Comment 5 Stanislaw Gruszka 2012-10-23 10:04:34 EDT
Please use latest update i.e kernel-3.6.3-1.fc17 ( http://koji.fedoraproject.org/koji/buildinfo?buildID=361634 ) or later. I hope this is fixed on that version, if not reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.